{% extends 'admin_home.html' %}
{% load static %}

{% block content %}
<link rel="stylesheet" type="text/css" href="{% static 'myapp/css/user_list.css' %}?v=1">
<h2 class="title">User List</h2>
<div class="container">
    <table class="usersTable">
        <thead class="table-header">
            <tr class="tr-headers">
                <th class="filter__link">ID</th>
                <th class="filter__link filter__link--number">Username</th>
                <th class="filter__link filter__link--number">First Name</th>
                <th class="filter__link filter__link--number">Last Name</th>
                <th class="filter__link filter__link--number">Email</th>
                <th class="filter__link filter__link--number">Date Joined</th>
            </tr>
        </thead>
        <tbody class="table-content">
            {% for user in user_list %}
            <tr class="table-row">
                <td>{{ user.id }}</td>
                <td>{{ user.username }}</td>
                <td>{{ user.first_name }}</td>
                <td>{{ user.last_name }}</td>
                <td>{{ user.email }}</td>
                <td>{{ user.date_joined }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
<div class="btn">
    <a class="returnBtn" href="{% url 'admin_home' %}">Back to menu</a>
</div>
{% endblock %}